6.10   os32: basename(3)

NOME

    basename, dirname - elaborazione dei componenti di un percorso

SINTASSI

    #include <libgen.h>
    char *basename (char *path);
    char *dirname (char *path);

DESCRIZIONE

    Le funzioni <basename()> e <dirname()>, restituiscono un percorso, estratto
    da quello fornito come argomento (<path>). Per la precisione, <basename()>
    restituisce l'ultimo componente del percorso, mentre <dirname()>
    restituisce cio` che precede l'ultimo componente. Valgono gli esempi
    seguenti:

    Contenuto originale  Risultato prodotto da      Risultato prodotto da
    di <path>            dirname(<path>)            basename(<path>)
    "/usr/bin/           "/usr"                     "bin"

    "/usr/bin            "/usr"                     "bin"

    "/usr                "/"                        "usr"

    "usr                 "."                        "usr"

    "/"                  "/"                        "/"

    "."                  "."                        "."

    ".."                 ".."                       ".."

    E` importante considerare che le due funzioni alterano il contenuto di
    <path>, in modo da isolare i componenti che servono.

VALORE RESTITUITO

    Le due funzioni restituiscono il puntatore alla stringa contenente il
    risultato dell'elaborazione, trattandosi di una porzione della stringa gia`
    usata come argomento della chiamata e modificata per l'occasione. Non e`
    previsto il manifestarsi di alcun errore.

FILE SORGENTI

    lib/libgen.h [13.9]

    lib/libgen/basename.c [13.9.1]

    lib/libgen/dirname.c [13.9.2]

